## libayatana-appindicator-0.5.94.tar.gz

=== example/CMakeLists.txt ===
if (FLAVOUR_GTK3)
    set (ayatana_appindicator_gtkver "ayatana-appindicator3")
    set (gtk_valapkgver "gtk+-3.0")
elseif (FLAVOUR_GTK2)
    set (ayatana_appindicator_gtkver "ayatana-appindicator")
    set (gtk_valapkgver "gtk+-2.0")
endif()

# simple-client-vala.c

# Vala bindings are only available for FLAVOUR_GTK3

if (FLAVOUR_GTK3)
    add_custom_command(
        OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/simple-client-vala.c"
        DEPENDS "bindings-vala"
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        COMMAND
        ${VALA_COMPILER}
        --pkg ${ayatana_appindicator_gtkver}-0.1
        --pkg ${gtk_valapkgver}
        --vapidir=${CMAKE_BINARY_DIR}/bindings/vala
        -C simple-client-vala.vala
        --directory=${CMAKE_CURRENT_BINARY_DIR}
        VERBATIM
        COMMAND
        sed
        -i "s|#include\\s*<\\s*libayatana-appindicator/app-indicator.h\\s*>||g"
        "${CMAKE_CURRENT_BINARY_DIR}/simple-client-vala.c"
    )

    # simple-client-vala

    set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/simple-client-vala.c" PROPERTIES COMPILE_FLAGS " -include ${CMAKE_SOURCE_DIR}/src/app-indicator.h -Wno-incompatible-pointer-types -Wno-unused-but-set-variable")
    add_executable("simple-client-vala" "${CMAKE_CURRENT_BINARY_DIR}/simple-client-vala.c")
    target_include_directories("simple-client-vala" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
    target_link_libraries("simple-client-vala" "${PROJECT_DEPS_LIBRARIES} -l${ayatana_appindicator_gtkver} -L${CMAKE_BINARY_DIR}/src")
    add_dependencies("simple-client-vala" "${ayatana_appindicator_gtkver}")

endif()

# simple-client

add_executable("simple-client" "${CMAKE_CURRENT_SOURCE_DIR}/simple-client.c")
target_compile_definitions("simple-client" PUBLIC LOCAL_ICON="${CMAKE_CURRENT_SOURCE_DIR}/simple-client-test-icon.png")
target_include_directories("simple-client" PUBLIC ${PROJECT_DEPS_INCLUDE_DIRS})
target_include_directories("simple-client" PUBLIC "${CMAKE_SOURCE_DIR}/src")
target_link_libraries("simple-client" "${PROJECT_DEPS_LIBRARIES} -l${ayatana_appindicator_gtkver} -L${CMAKE_BINARY_DIR}/src")
add_dependencies("simple-client" "${ayatana_appindicator_gtkver}")

=== debian/changelog ===
libayatana-appindicator (0.5.94-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 12 Mar 2025 09:29:06 +0100

libayatana-appindicator (0.5.93-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 13 Oct 2023 08:41:36 +0200

libayatana-appindicator (0.5.92-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 02 Feb 2023 09:59:14 +0100

libayatana-appindicator (0.5.91-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 08 Apr 2022 23:52:51 +0200

libayatana-appindicator (0.5.90-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 18 Nov 2021 10:23:28 +0100

libayatana-appindicator (0.5.5-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 23 Jul 2020 08:19:48 +0200

libayatana-appindicator (0.5.4-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 11 Nov 2019 19:09:39 +0100

libayatana-appindicator (0.5.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 20 Mar 2018 11:25:55 +0100

libayatana-appindicator (0.5.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 24 Oct 2017 16:44:11 +0200

libayatana-appindicator (0.5.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for libayatana-appindicator.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 23 Sep 2017 01:15:21 +0200

libayatana-appindicator (0.5.0-0) unstable; urgency=medium

  * Fork from Ubuntu's libappindicator project.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 22 May 2017 16:16:06 +0200

libappindicator (12.10.1+15.04.20141110-0ubuntu1) vivid; urgency=low

  [ Lars Uebernickel ]
  * scroll-event: change parameter to the right type

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Nov 2014 16:30:06 +0000

libappindicator (12.10.1+13.10.20130920-0ubuntu4) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:48:02 +0000

libappindicator (12.10.1+13.10.20130920-0ubuntu3) trusty; urgency=medium

  * Build with -Wno-error=deprecated-declarations.
  * Don't build the mono bindings on ppc64el, not available.
  * Disable building the example, vala build error.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Dec 2013 13:50:03 +0100

libappindicator (12.10.1+13.10.20130920-0ubuntu2) saucy; urgency=low

  * Don't build the mono bindings on AArch64, not available.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Oct 2013 01:47:10 +0200

libappindicator (12.10.1+13.10.20130920-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 266

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 20 Sep 2013 10:17:40 +0000

libappindicator (12.10.1daily13.06.19-0ubuntu1) saucy; urgency=low

  [ Ted Gould ]
  * Making gtk-doc check run in the current source directory.

  [ Marco Trevisan (Treviño) ]
  * NotificationWatcher interface has not anymore the
    XAyatanaRegisterNotificationApprover method.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 264

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Jun 2013 02:01:55 +0000

libappindicator (12.10.1daily13.05.02-0ubuntu1) saucy; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/rules: drop the "clean" target, it's superfluous.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 261

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 02 May 2013 22:59:05 +0000

libappindicator (12.10.1daily13.04.15-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 258

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Apr 2013 02:02:56 +0000

libappindicator (12.10.1daily13.04.12-0ubuntu1) raring; urgency=low

  [ Iain Lane ]
  * Install appindicator-sharp's pcfile into /usr/share/pkgconfig as this is
    an arch:all package and library. Update the assemblydir variable in this
    pcfile to refer to the correct location for the library instead of an
    incorrect multiarch directory.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 258

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 12 Apr 2013 02:03:18 +0000

libappindicator (12.10.1daily13.04.09-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 258

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 09 Apr 2013 02:02:28 +0000

libappindicator (12.10.1daily13.04.08-0ubuntu1) raring; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/rules: reverse the order of dh_clean and dh_autoreconf_clean,
    this fixes issues where clean removes files used by dh_autoreconf_clean.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 257



=== debian/control ===
Source: libayatana-appindicator
Section: libs
Priority: optional
XS-Python-Version: all
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: debhelper (>= 9),
               cmake,
               cmake-extras,
               dpkg-dev (>= 1.16.1.1),
               at-spi2-core,
               cli-common-dev (>= 0.8~) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               gobject-introspection,
               intltool,
               gtk-doc-tools,
               libxml2-utils,
               libnunit-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               dbus-test-runner,
               xvfb,
               valac,
               mate-common,
               mono-devel (>= 2.4.3) [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libglib2.0-dev (>= 2.35.4),
               libgtk-3-dev (>= 2.91.3),
               libgtk2.0-dev (>= 2.12.0),
               procps,
               gtk-sharp3-gapi [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libgtk3.0-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               gtk-sharp2-gapi [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libgtk2.0-cil-dev [amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64],
               libayatana-indicator-dev (>= 0.6.0-0~),
               libayatana-indicator3-dev (>= 0.6.0-0~),
               libdbusmenu-glib-dev (>= 0.5.90),
               libdbusmenu-gtk3-dev (>= 0.5.90),
               libdbusmenu-gtk-dev (>= 0.5.90),
               libgirepository1.0-dev,
Standards-Version: 4.5.0
Homepage: https://github.com/AyatanaIndicators/libayatana-appindicator
Vcs-Git: https://github.com/AyatanaIndicators/libayatana-appindicator
Vcs-Browser: https://github.com/AyatanaIndicators/libayatana-appindicator

Package: libayatana-appindicator1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Ayatana Application Indicators (GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications compiled
 against GTK-2+.

Package: gir1.2-ayatanaappindicator-0.1
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Typelib files for libayatana-appindicator1 (GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings (GTK-2+ version).

Package: libayatana-appindicator-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk2.0-dev,
         gir1.2-ayatanaappindicator-0.1 (= ${binary:Version}),
         libdbusmenu-glib-dev (>= 0.1.8),
         libdbus-glib-1-dev (>= 0.76),
         libayatana-appindicator1 (= ${binary:Version}),
Description: Ayatana Application Indicators (development files, GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications
 (GTK-2+ version).

Package: libayatana-appindicator-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Description: Ayatana Application Indicators (documentation files, GTK-2+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains developer documentation (GTK-2+ version).

Package: libayatana-appindicator3-1
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Ayatana Application Indicators (GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications compiled
 against GTK-3+.

Package: libayatana-appindicator3-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgtk-3-dev,
         gir1.2-ayatanaappindicator3-0.1 (= ${binary:Version}),
         libdbusmenu-glib-dev (>= 0.1.8),
         libdbus-glib-1-dev (>= 0.76),
         libayatana-appindicator3-1 (= ${binary:Version}),
Description: Ayatana Application Indicators (development files, GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications
 (GTK-3+ version).

Package: gir1.2-ayatanaappindicator3-0.1
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Typelib files for libayatana-appindicator3-1 (GTK-3+ version)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings (GTK-3+ version).

Package: libayatana-appindicator0.1-cil
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
Description: CLI bindings for libayatana-appindicator
 This package provides the appindicator-sharp assembly that allows CLI (.NET)
 programs to take menus from applications and place them in the panel.
 .
 This package contains assemblies to be used by GTK-2+ Mono applications.

Package: libayatana-appindicator0.1-cil-dev
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         libayatana-appindicator0.1-cil (= ${binary:Version}),
Description: Ayatana Application Indicators for Mono (GTK-2+ variant)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build Mono applications.

Package: libayatana-appindicator3-0.1-cil
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
Description: CLI bindings for libayatana-appindicator3
 This package provides the appindicator-sharp assembly that allows CLI (.NET)
 programs to take menus from applications and place them in the panel.
 .
 This package contains assemblies to be used by GTK-2+ Mono applications.

Package: libayatana-appindicator3-0.1-cil-dev
Section: cli-mono
Architecture: amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${cli:Depends},
         libayatana-appindicator3-0.1-cil (= ${binary:Version}),
Description: Ayatana Application Indicators for Mono (GTK-3+ variant)
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build GTK-3+ Mono applications.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

FLAVOURS = gtk3 gtk2

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

API_VERSION = 0.1

CONFIGURE_COMMON_FLAGS = -DENABLE_TESTS=ON
ifeq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64))
# CONFIGURE_COMMON_FLAGS += -DENABLE_MONO_TESTS=OFF
  CONFIGURE_COMMON_FLAGS +=
else
  dh_extra_args = ,cli
endif
CONFIGURE_FLAGS_gtk2 = -DFLAVOUR_GTK2=ON -DENABLE_GTKDOC=OFF
CONFIGURE_FLAGS_gtk3 = -DFLAVOUR_GTK3=ON -DENABLE_GTKDOC=ON

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

CFLAGS += -fPIC

%:
	dh $@ --with gir$(dh_extra_args)

override_dh_auto_configure: $(FLAVOURS:%=doconfigure-%)

doconfigure-%:
	dh_auto_configure --builddirectory=build/$* -- $(CONFIGURE_FLAGS_$*) $(CONFIGURE_COMMON_FLAGS)

override_dh_auto_build: $(FLAVOURS:%=dobuild-%)

dobuild-%:
	dh_auto_build --builddirectory=build/$*

override_dh_auto_install: $(FLAVOURS:%=doinstall-%)

doinstall-%:
	dh_auto_install --builddirectory=build/$* --destdir=debian/tmp/$*

override_dh_install:
	find debian/tmp -name \*.la -exec rm {} \;
	find debian/tmp -name \*.a -exec rm {} \;
	rm -rf debian/tmp/*/usr/lib/mono
	rm -rf debian/tmp/*/usr/share/vala/vapi/ayatana-appindicator*-0.1.deps
	dh_install -plibayatana-appindicator1 --fail-missing --sourcedir=debian/tmp/gtk2
	dh_install -pgir1.2-ayatanaappindicator-0.1 --fail-missing --sourcedir=debian/tmp/gtk2
	dh_install -plibayatana-appindicator-dev --fail-missing --sourcedir=debian/tmp/gtk2
	dh_install -plibayatana-appindicator-doc --fail-missing --sourcedir=debian/tmp/gtk3
	dh_install -plibayatana-appindicator3-1 --fail-missing --sourcedir=debian/tmp/gtk3
	dh_install -plibayatana-appindicator3-dev --fail-missing --sourcedir=debian/tmp/gtk3
	dh_install -pgir1.2-ayatanaappindicator3-0.1 --fail-missing --sourcedir=debian/tmp/gtk3
	if echo amd64 arm64 armel armhf i386 mipsel ppc64el s390x kfreebsd-amd64 kfreebsd-i386 powerpc ppc64 | grep -q $(DEB_HOST_ARCH); then \
	    dh_install -plibayatana-appindicator3-0.1-cil --fail-missing --sourcedir=debian/tmp/gtk3; \
	    dh_install -plibayatana-appindicator3-0.1-cil-dev --fail-missing --sourcedir=debian/tmp/gtk3; \
	    dh_install -plibayatana-appindicator0.1-cil --fail-missing --sourcedir=debian/tmp/gtk2; \
	    dh_install -plibayatana-appindicator0.1-cil-dev --fail-missing --sourcedir=debian/tmp/gtk2; \
	fi

override_dh_auto_test:
	mkdir -p $(CURDIR)/debian/tmphome-gtk3/.local/share
	mkdir -p $(CURDIR)/debian/tmphome-gtk3/.cache
	export HOME=$(CURDIR)/debian/tmphome-gtk3 \
	    && export XDG_DATA_HOME=$(CURDIR)/debian/tmphome-gtk3/.local/share \
	    && export XDG_CACHE_HOME=$(CURDIR)/debian/tmphome-gtk3/.cache \
	    && unset DBUS_SESSION_BUS_ADDRESS \
	    && dh_auto_test --no-parallel --builddirectory=build/gtk3
	# View test's log file for better debugging of problems when built in clean chroots.
	if [ -e build/gtk3/tests/test-suite.log ]; then cat build/gtk3/tests/test-suite.log; fi
	rm -Rf $(CURDIR)/debian/tmphome-gtk3

	mkdir -p $(CURDIR)/debian/tmphome-gtk2/.local/share
	mkdir -p $(CURDIR)/debian/tmphome-gtk2/.cache
	export HOME=$(CURDIR)/debian/tmphome-gtk2 \
	    && export XDG_DATA_HOME=$(CURDIR)/debian/tmphome-gtk2/.local/share \
	    && export XDG_CACHE_HOME=$(CURDIR)/debian/tmphome-gtk2/.cache \
	    && unset DBUS_SESSION_BUS_ADDRESS \
	    && dh_auto_test --no-parallel --builddirectory=build/gtk2
	# View test's log file for better debugging of problems when built in clean chroots.
	if [ -e build/gtk2/tests/test-suite.log ]; then cat build/gtk2/tests/test-suite.log; fi
	rm -Rf $(CURDIR)/debian/tmphome-gtk2

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
